{ lib, inputs, config, pkgs, username, project, host, version, ... }:
{
  # Home Manager needs a bit of information about you and the
  # paths it should manage.
  home.username = username;
  home.homeDirectory = "/home/${username}";
  home.packages = [
    (import ./ncli.nix { inherit pkgs host project; backupFiles = [
      ".gtkrc-2.0.backup"
      ".config/gtk-3.0/gtk.css.backup"
      ".config/gtk-3.0/settings.ini.backup"
      ".config/gtk-4.0/gtk.css.backup"
      ".config/gtk-4.0/settings.ini.backup"
      ".config/niri/config.kdl" 
    ]; })
  ];

  imports = [
    inputs.zen-browser.homeModules.beta
    # or inputs.zen-browser.homeModules.twilight
    # or inputs.zen-browser.homeModules.twilight-official
    #./neovim-home.nix    
    ./desktop-entries.nix
  ];

  # This value determines the Home Manager release that your
  # configuration is compatible with. This helps avoid breakage
  # when a new Home Manager release introduces backwards
  # incompatible changes.
  #
  # You can update Home Manager without changing this value. See
  # the Home Manager release notes for a list of state version
  # changes in each release.
  home.stateVersion = version;

  # Let Home Manager install and manage itself.
  programs = {
  	home-manager = { enable = true; };

    
    zoxide = {
      enable = true;
      #enableZshIntegration = true;
      #options = [
      #  "--cmd cd"
      #];
    };

    kitty = {
      enable = true;
      settings = {
        #Disabled Because of stylix
        background_opacity = lib.mkForce "0.2"; #The higher the value, the darker the console

        background_blur = lib.mkForce 10;
      };
    };


  	git = {
  	  enable = true;
      settings = {
        user = {
          name = "Cookiez";
          email = "jaden-puerkenauer@web.de";
          init.defaultBranch = "main";
          credentials.helper = "store";
        };
      };
    };

  	zen-browser = {
  	  enable = false;
  	  #package = inputs.zen-browser.packages.${pkgs.system}.default;
      profiles = {
        ${username} = {
          id = 0;
          name = username;
          # profileAvatarPath = "chrome://browser/content/zen-avatars/avatar-57.svg";
          path = "${username}.default";
          isDefault = true;
          settings = {
            
          };
        };
      };
      policies = {
        AutofillAddressEnabled = false;
        AutofillCreditCardEnabled = false;
        PasswordManagerEnabled = false;
        NoDefaultBookmarks = true;
        DisableAppUpdate = true;
        DisableFirefoxStudies = true;
        DontCheckDefaultBrowser = true;
        EnableTrackingProtection = {
          Value = true;
          Locked = true;
          Cryptomining = true;
          Fingerprinting = true;
        };
        OfferToSaveLogins = false;
        DisplayBookmarksToolbar = "always"; # alternatives: "always" or "newtab"
        
        ExtensionSettings =
          with builtins;
          let
            extension = shortId: uuid: {
              name = uuid;
              value = {
                install_url = "https://addons.mozilla.org/en-US/firefox/downloads/latest/${shortId}/latest.xpi";
                installation_mode = "force_installed";
              };
            };
          in
          listToAttrs [
            (extension "ublock-origin" "uBlock0@raymondhill.net")
            (extension "bitwarden-password-manager" "{446900e4-71c2-419f-a6a7-df9c091e268b}")
            #(extension "2fas-two-factor-authentication" "admin@2fas.com")
            (extension "sponsorblock" "sponsorBlocker@ajay.app")
            #(extension "dearrow" "deArrow@ajay.app")
            #(extension "enhancer-for-youtube" "enhancerforyoutube@maximerf.addons.mozilla.org")
            #(extension "tabliss" "extension@tabliss.io")
            #(extension "don-t-fuck-with-paste" "DontFuckWithPaste@raim.ist")
            #(extension "clearurls" "{74145f27-f039-47ce-a470-a662b129930a}")
            #(extension "react-devtools" "@react-devtools")
            (extension "keepa" "amptra@keepa.com")
            (extension "redditUntranslate" "reddit-url-redirector@kichkoupi.com")
          ];
        # To add additional extensions, find it on addons.mozilla.org, find
        # the short ID in the url (like https=//addons.mozilla.org/en-US/firefox/addon/!SHORT_ID!/)
        # Then, download the XPI by filling it in to the install_url template, unzip it,
        # run `jq .browser_specific_settings.gecko.id manifest.json` or
        # `jq .applications.gecko.id manifest.json` to get the UUID
        Preferences = {
            #"browser.contentblocking.category" = { Value = "strict"; Status = "locked"; };
        	"browser.urlbar.showSearchSuggestionsFirst" = false;
        	"browser.sessionstore.resume_session_once" = false;
        };
      };
  	};
  }; #End of programs = {};
}
